--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: recurring() a TrustCommerce account that is activated for Citatdel, TrustCommerce's hosted customer billing info database.
- !ruby/struct:SM::Flow::P 
  body: "Recurring billing uses the same TC action as a plain-vanilla 'store', but we have a separate method for clarity. It can be called like store, with the addition of a required 'periodicity' parameter:"
- !ruby/struct:SM::Flow::P 
  body: The parameter :periodicity should be specified as either :bimonthly, :monthly, :biweekly, :weekly, :yearly or :daily
- !ruby/struct:SM::Flow::VERB 
  body: "  gateway.recurring(tendollar, creditcard, :periodicity =&gt; :weekly)\n"
- !ruby/struct:SM::Flow::P 
  body: You can optionally specify how long you want payments to continue using 'payments'
full_name: ActiveMerchant::Billing::TrustCommerceGateway#recurring
is_singleton: false
name: recurring
params: (money, creditcard, options = {})
visibility: public
